Bug 740196 - Legacy sysv init script must go into sub package if not being dropped
Summary: Legacy sysv init script must go into sub package if not being dropped
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Schwab
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-21 09:26 UTC by Jóhann B. Guðmundsson
Modified: 2016-11-24 16:17 UTC (History)
3 users (show)

Fixed In Version: glibc-2.14.90-10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-02 18:13:38 UTC


Attachments (Terms of Use)

Description Jóhann B. Guðmundsson 2011-09-21 09:26:27 UTC
Description of problem:

From FPG https://fedoraproject.org/wiki/Packaging:Guidelines:Systemd

"Packages may also provide a SysV initscript file,but are not required to do so. This format is considered legacy, but Fedora still contains init mechanisms such as upstart which do not support the systemd unit file format. If present, the SysV initscript(s) must go into an optional subpackage, so as not to confuse sysadmins. The guidelines for SysV initscripts "

Thus either dropped the legacy sysv nscd script or package into an sysv subpackage of nscd

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Fedora Update System 2011-09-28 14:02:02 UTC
glibc-2.14.90-10 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/FEDORA-2011-12845

Comment 2 Fedora Update System 2011-09-28 18:52:49 UTC
Package glibc-2.14.90-10:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing glibc-2.14.90-10'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/glibc-2.14.90-10
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2011-10-02 18:13:10 UTC
glibc-2.14.90-10 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.